﻿/**
	Post-Installation dialog with the option to open the folder where everything was placed.
	The macro file is placed by the mzp.run, but also executed from here once so it can be used
	right after installation without having to restart 3ds Max.
*/

filein ((GetDir #usermacros) + "\\RegionRender_v2.0_by_3dwannab.mcr")

try(destroyDialog Install_Dialog)catch()
rollout Install_Dialog "RegionRender v2.0 by 3dwannab (◣_◢)" width:285 height:285
(
	local Dir_Scr_Uninstall = (getDir #userScripts) + "\\3dwannab\\RegionRender"
	local FileInRegionRenderScript = (GetDir #userScripts) + "\\3dwannab\\RegionRender\\RegionRender_v2.0_by_3dwannab.ms"
 
--------------------------------------------------------------------
 
    function DeleteDirAndSubDir rootDir =
    (
        try ( HiddenDOSCommand ("rmDir \"" + rootDir + "\" /s /q") ) catch (messagebox "Can't delete RegionRender (◣_◢) folders!" title:"RegionRender Install Error!!!")
    )
    function DeleteFiles curDir file =
    (
        filesToDelete = getFiles (curDir + file)
        for f in filesToDelete do	deleteFile f
    )
   
--------------------------------------------------------------------

	label lbl1 "RegionRender v2.0 is now installed! (◣_◢)
    
--------------------------------------------------------------------

To get a Toolbar button go to:
Customize -> Customize User Interface -> Toolbars
	
Category  -> '3dwannab' and drag 'RegionRender (◣_◢)' to a toolbar.

Click the toolbar icon to run it!

NB: When you restart 3ds Max the icon will appear" pos:[5,5] width:275 height:169
	button btn_Run_Script "RUN Script Now (◣_◢)" pos:[5,205] width:275 height:30 toolTip:"Run Script Now!"
	button btn_Uninstall "UNINSTALL" pos:[5,245] width:275 height:30
	label lbl3 "--------------------------------------------------------------------" pos:[5,183] width:275 height:8
	on btn_Run_Script pressed do
	(
		try(destroyDialog Install_Dialog)catch()
		--fileIn FileInRegionRenderScript
		if (doesFileExist FileInRegionRenderScript) then
		fileIn FileInRegionRenderScript
	else (
		messageBox "Unable to locate the script.\n\nIt should be in the userscripts Folder\n\nType '(GetDir #userscripts)' in MAXScript Listener to find the location" title:"RegionRender v2.0 by 3dwannab (◣_◢)"
	)

	)	
    	on btn_Uninstall pressed do
    	(	
    	if querybox "Are you sure ?" title:"Un-install RegionRender v2.0 by 3dwannab (◣_◢)" beep:true
    	then
    	(
	    DeleteDirAndSubDir ((getDir #userscripts) + "\\3dwannab\\RegionRender")     --delete script folders
	    DeleteFiles ((getDir #usericons) + "\\RegionRender_Icon") "*.*"	            --delete the icons & psd
	    DeleteFiles ((getDir #usermacros) + "\\*RegionRender") "*.*"                --delete macro
	    messagebox "Uninstall Complete...\n\nTo install again just drag the .mzp file into the 3ds Max window or through the Run Script method\n\nGoodbye...(◣_◢)" title:"RegionRender v2.0 by 3dwannab (◣_◢)"  beep:true
            try(destroyDialog Install_Dialog)catch()
    	)
    	else
    	(
    		-- DO NOTHING
    	)
    	)
)
createDialog Install_Dialog style:#(#style_titlebar, #style_sysmenu, #style_toolwindow)